package com.ss.android.ugc.aweme.ecommerce.pdp.repository.dto;

import X.CIL;
import X.M12;
import android.os.Parcel;
import android.os.Parcelable;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import com.ss.android.ugc.aweme.ecommerce.review.repo.dto.ReviewFilterStruct;
import com.ss.android.ugc.aweme.ecommerce.review.repo.dto.ReviewImageItem;
import com.ss.android.ugc.aweme.ecommerce.review.repo.dto.ReviewItemStruct;
import java.util.List;
import java.util.Objects;

public final class ProductDetailReview implements Parcelable {
    public static final Parcelable.Creator<ProductDetailReview> CREATOR = new CIL();
    @c(LIZ = "product_rating")
    public final Float LIZ;
    @c(LIZ = "review_count")
    public final Integer LIZIZ;
    @c(LIZ = "review_items")
    public final List<ReviewItemStruct> LIZJ;
    @c(LIZ = "review_image_items")
    public final List<ReviewImageItem> LIZLLL;
    @c(LIZ = "review_filters")
    public final List<ReviewFilterStruct> LJ;

    static {
        Covode.recordClassIndex(71507);
    }

    private Object[] LIZ() {
        return new Object[]{this.LIZ, this.LIZIZ, this.LIZJ, this.LIZLLL, this.LJ};
    }

    public final int describeContents() {
        return 0;
    }

    public final boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof ProductDetailReview)) {
            return false;
        }
        return M12.LIZ(((ProductDetailReview) obj).LIZ(), LIZ());
    }

    public final int hashCode() {
        return Objects.hash(LIZ());
    }

    public final String toString() {
        return M12.LIZ("ProductDetailReview:%s,%s,%s,%s,%s", LIZ());
    }

    public final void writeToParcel(Parcel parcel, int i) {
        M12.LIZ(parcel);
        Float f = this.LIZ;
        if (f != null) {
            parcel.writeInt(1);
            parcel.writeFloat(f.floatValue());
        } else {
            parcel.writeInt(0);
        }
        Integer num = this.LIZIZ;
        if (num != null) {
            parcel.writeInt(1);
            parcel.writeInt(num.intValue());
        } else {
            parcel.writeInt(0);
        }
        List<ReviewItemStruct> list = this.LIZJ;
        if (list != null) {
            parcel.writeInt(1);
            parcel.writeInt(list.size());
            for (ReviewItemStruct writeToParcel : list) {
                writeToParcel.writeToParcel(parcel, 0);
            }
        } else {
            parcel.writeInt(0);
        }
        List<ReviewImageItem> list2 = this.LIZLLL;
        if (list2 != null) {
            parcel.writeInt(1);
            parcel.writeInt(list2.size());
            for (ReviewImageItem writeToParcel2 : list2) {
                writeToParcel2.writeToParcel(parcel, 0);
            }
        } else {
            parcel.writeInt(0);
        }
        List<ReviewFilterStruct> list3 = this.LJ;
        if (list3 != null) {
            parcel.writeInt(1);
            parcel.writeInt(list3.size());
            for (ReviewFilterStruct writeToParcel3 : list3) {
                writeToParcel3.writeToParcel(parcel, 0);
            }
            return;
        }
        parcel.writeInt(0);
    }

    public ProductDetailReview(Float f, Integer num, List<ReviewItemStruct> list, List<ReviewImageItem> list2, List<ReviewFilterStruct> list3) {
        this.LIZ = f;
        this.LIZIZ = num;
        this.LIZJ = list;
        this.LIZLLL = list2;
        this.LJ = list3;
    }
}
